Bug 966141 - CVE-2013-2419 CVE-2013-2383 CVE-2013-2384 CVE-2013-1569 icu various flaws [fedora-all]
CVE-2013-2419 CVE-2013-2383 CVE-2013-2384 CVE-2013-1569 icu various flaws [fe...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: icu (Show other bugs)
18
All Linux
low Severity low
: ---
: ---
Assigned To: Eike Rathke
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2013-2419 CVE-2013-2383 CVE-2013-2384 CVE-2013-1569
  Show dependency treegraph
 
Reported: 2013-05-22 10:52 EDT by Stefan Cornelius
Modified: 2013-08-03 19:54 EDT (History)
3 users (show)

See Also:
Fixed In Version: openttd-1.3.0-2.fc18
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-27 21:12:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stefan Cornelius 2013-05-22 10:52:08 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.

[bug automatically created by: add-tracking-bugs]
Comment 1 Stefan Cornelius 2013-05-23 05:26:06 EDT
Adding parent bug CVE-2013-2383.  Please use this new bodhi update url when correcting
these flaws:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=966141,952656,952708
Comment 2 Stefan Cornelius 2013-05-23 05:27:42 EDT
Adding parent bug CVE-2013-2384.  Please use this new bodhi update url when correcting
these flaws:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=966141,952656,952708,952709
Comment 3 Stefan Cornelius 2013-05-23 05:29:27 EDT
Adding parent bug CVE-2013-1569.  Please use this new bodhi update url when correcting
these flaws:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=966141,952656,952708,952709,952711
Comment 4 Fedora Update System 2013-07-17 12:14:01 EDT
icu-4.8.1.1-6.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/icu-4.8.1.1-6.fc17
Comment 5 Fedora Update System 2013-07-17 12:16:58 EDT
icu-49.1.1-9.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/icu-49.1.1-9.fc18
Comment 6 Fedora Update System 2013-07-17 12:18:54 EDT
icu-50.1.2-6.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/icu-50.1.2-6.fc19
Comment 7 Eike Rathke 2013-07-17 15:41:08 EDT
Note that applications deriving from ICU's LEFontInstance must implement the virtual LEFontInstance::getFontTable(LETag, size_t &length) method, see http://site.icu-project.org/download/51#TOC-Known-Issues
Comment 8 Fedora Update System 2013-07-17 18:39:04 EDT
libreoffice-3.5.7.2-13.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/libreoffice-3.5.7.2-13.fc17
Comment 9 Fedora Update System 2013-07-18 01:54:12 EDT
Package icu-4.8.1.1-6.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing icu-4.8.1.1-6.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-13180/icu-4.8.1.1-6.fc17
then log in and leave karma (feedback).
Comment 10 Fedora Update System 2013-07-22 05:49:14 EDT
icu-49.1.1-10.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/icu-49.1.1-10.fc18
Comment 11 Fedora Update System 2013-07-22 05:49:48 EDT
icu-4.8.1.1-7.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/icu-4.8.1.1-7.fc17
Comment 12 Fedora Update System 2013-07-22 05:50:17 EDT
icu-50.1.2-7.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/icu-50.1.2-7.fc19
Comment 13 Eike Rathke 2013-07-22 12:30:47 EDT
Updates withdrawn, needs rebuild of packages that use libicule.so, buildroot overridden and waiting for all LibreOffice builds to finish to submit another update.
Comment 14 Fedora Update System 2013-07-23 03:14:48 EDT
openttd-1.3.2-0.2.RC1.fc19,pyicu-1.5-2.fc19,fontmatrix-0.9.99-12.r1218.fc19,libreoffice-4.1.0.3-2.fc19,icu-50.1.2-7.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/openttd-1.3.2-0.2.RC1.fc19,pyicu-1.5-2.fc19,fontmatrix-0.9.99-12.r1218.fc19,libreoffice-4.1.0.3-2.fc19,icu-50.1.2-7.fc19
Comment 15 Fedora Update System 2013-07-23 03:23:29 EDT
openttd-1.3.0-2.fc18,pyicu-1.4-2.fc18,fontmatrix-0.9.99-9.r1218.fc18,libreoffice-3.6.7.2-3.fc18,icu-49.1.1-10.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/openttd-1.3.0-2.fc18,pyicu-1.4-2.fc18,fontmatrix-0.9.99-9.r1218.fc18,libreoffice-3.6.7.2-3.fc18,icu-49.1.1-10.fc18
Comment 16 Fedora Update System 2013-07-23 03:31:46 EDT
openttd-1.3.0-2.fc17,pyicu-1.2-3.fc17,fontmatrix-0.9.99-4.r1218.fc17,icu-4.8.1.1-7.fc17,libreoffice-3.5.7.2-14.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/openttd-1.3.0-2.fc17,pyicu-1.2-3.fc17,fontmatrix-0.9.99-4.r1218.fc17,icu-4.8.1.1-7.fc17,libreoffice-3.5.7.2-14.fc17
Comment 17 Fedora Update System 2013-07-27 21:12:54 EDT
openttd-1.3.2-0.2.RC1.fc19, pyicu-1.5-2.fc19, fontmatrix-0.9.99-12.r1218.fc19, libreoffice-4.1.0.3-2.fc19, icu-50.1.2-7.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2013-08-03 19:54:40 EDT
openttd-1.3.0-2.fc18, pyicu-1.4-2.fc18, fontmatrix-0.9.99-9.r1218.fc18, libreoffice-3.6.7.2-3.fc18, icu-49.1.1-10.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.